package net.wanji.opt.entity.strategy.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import net.wanji.opt.entity.strategy.StrategyPriorityConfig;
import net.wanji.opt.entity.strategy.StrategyPriorityParamter;
import net.wanji.opt.entity.strategy.StrategyPriorityPlanDetails;
import net.wanji.opt.entity.strategy.StrategySchedulingParam;

import java.util.List;

/**
 * @author
 * @date
 */
@Data
@EqualsAndHashCode(callSuper = false)
@NoArgsConstructor
@AllArgsConstructor
public class StrategyPriorityGroupVO {
    @ApiModelProperty("分组ID")
    private Integer groupId;
    @ApiModelProperty("分组名称")
    private String groupName;
    @ApiModelProperty("路口编号列表")
    private List<String> crossIds;
    @ApiModelProperty("执行时间")
    private String weekExecute;
    @ApiModelProperty("日计划编号")
    private Integer dailyPlanId;
    @ApiModelProperty("策略编号")
    private String strategyNo;
    @ApiModelProperty("优先级的配置信息")
    private List<StrategyPriorityConfig> data;
    @ApiModelProperty("计划表的配置信息日计划详情")
    private List<StrategyPriorityPlanDetails> dailyPlanDetails;
    @ApiModelProperty("参数配置表的配置信息")
    private List<StrategyPriorityParamter> parameterConfigList;
    @ApiModelProperty("调度配置表的配置信息")
    private StrategySchedulingParam schedulingParamters;
    @ApiModelProperty("类型：1:路口，2干线")
    private Integer type;
    @ApiModelProperty("开关状态：0:关闭，1开关")
    private Integer switchStatus;
    @ApiModelProperty("干线编号列表")
    private List<Integer> greenIds;
    /**
     * 策略名称 参数配置神思用
     */
    private String strategyName;
    /**
     * 场景 参数配置神思用
     */
    private String method;
    /**
     * 场景code 参数配置神思用
     */
    private Integer scene;

}
